package cn.wisenergy.service.app.impl;

import cn.wisenergy.common.enums.RespCodeEnum;
import cn.wisenergy.common.utils.exception.BaseCustomException;
import cn.wisenergy.mapper.UsersMapper;
import cn.wisenergy.model.app.Users;
import cn.wisenergy.service.app.TestUserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Service
@Slf4j
public class TestUserServiceImpl implements TestUserService {

    @Autowired
    private UsersMapper usersMapper;

    @Override
    public Users getByUserInfoById(Long userId) {
        log.info("TestUserServiceImpl[]getByUserInfoById[]input.param.userId:" + userId);
        if (null == userId) {
            throw new BaseCustomException(RespCodeEnum.INPUT_PARAMETER_ISEMPTY);
        }
        Users user = usersMapper.selectById(userId);
        if (null == user) {
            throw new BaseCustomException(RespCodeEnum.EMPLOYEE_IS_NOT_EXIST_ERROR);
        }


        return null;
    }
}
